Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class Qt.DayOfWeek

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.Qt.DayOfWeek

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing interface:
  Qt

    public static final class Qt.DayOfWeek

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static Qt.DayOfWeek` | `Friday` Value: Friday
`static Qt.DayOfWeek` | `Monday` Value: Monday
`static Qt.DayOfWeek` | `Saturday` Value: Saturday
`static Qt.DayOfWeek` | `Sunday` Value: Sunday
`static Qt.DayOfWeek` | `Thursday` Value: Thursday
`static Qt.DayOfWeek` | `Tuesday` Value: Tuesday
`static Qt.DayOfWeek` | `Wednesday` Value: Wednesday

Method Summary
`static Qt.DayOfWeek` | `resolve(int value)` Returns the DayOfWeek constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.DayOfWeek` | `valueOf(java.lang.String name)`
`static Qt.DayOfWeek[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Monday

    public static final Qt.DayOfWeek Monday

  Value: Monday

### Tuesday

    public static final Qt.DayOfWeek Tuesday

  Value: Tuesday

### Wednesday

    public static final Qt.DayOfWeek Wednesday

  Value: Wednesday

### Thursday

    public static final Qt.DayOfWeek Thursday

  Value: Thursday

### Friday

    public static final Qt.DayOfWeek Friday

  Value: Friday

### Saturday

    public static final Qt.DayOfWeek Saturday

  Value: Saturday

### Sunday

    public static final Qt.DayOfWeek Sunday

  Value: Sunday

Method Detail

### values

    public static Qt.DayOfWeek[] values()

### valueOf

    public static Qt.DayOfWeek valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.DayOfWeek resolve(int value)

  Returns the DayOfWeek constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD